<?php
namespace HCM\Geral\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;

class ProcessoAdmJudRepository {

    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }
    
    public function validadelete($dataset) {
        try {
            $sql = $this->entityManager->getConnection()->prepare("
        SELECT * 
        FROM GPE_ITEMPROCADMJUD  
        WHERE NRORG = :P_NRORG AND
        NRPROCESSADMJUD = :P_NRPROCESSADMJUD  
        ");
        $sql->execute(
            array(
                "P_NRORG"=>$dataset['NRORG'],
                "P_NRPROCESSADMJUD"=>$dataset['NRPROCESSADMJUD']
            )   
        );
        $items = $sql->fetchAll();
        if(!empty($items)) {
            throw new \Exception("Existem itens relacionados a este registro, favor excluí-los.");
        }
        } catch (\Exception $e) {            
            throw $e;
        }
    }


   
} 
